# $Revision: 1.2 $, $Date: 2002/07/23 14:10:09 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Inner
Summary:	%{pdir}::%{pnam} - A perlish implementation of Java-like inner classes
Summary(pl):	%{pdir}::%{pnam} - perlowa implementacja wewntrznych klas w stylu Javy
Name:		perl-%{pdir}-%{pnam}
Version:	0.1
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yet another implementation of an anonymous class with per object
overrideable methods, but with the added attraction of sort of
working dispatch to the parent class's method.

%description -l pl
Jeszcze jedna implementacja anonimowej klasy z metodami przykrywalnymi
dla obiektu, ale z dodanym czym w rodzaju wysyania do metody klasy
nadrzdnej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
#%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Class-Inner.spec,v $
Revision 1.2  2002/07/23 14:10:09  qboosh
- pl description

Revision 1.1  2002/07/19 09:46:55  radek
- new, works, STBR
